Evince PDF Document not supported

Sometimes after an update you might get the error “PDF Document not supported” in Evince. To see what exactly the problem is you should start it up using the command line (p. x. evince ‘/test.pdf’). In my case I got the following message:

(evince:2087): EvinceDocument-WARNING **: Cannot load backend 'pdfdocument' since file '/usr/lib/evince/3/backends/libpdfdocument.so' cannot be read.

The solution is quite easy. The thing that is broke is the backend. In the particular case of evince this is poppler. So after you reinstall poppler everything should work again.

Leave a comment

Your email address will not be published. Required fields are marked *